# GeneralXL pro-Text-to-Image

**Method**: `POST`
**Endpoint**: `/volcv/v1`

<https://www.volcengine.com/docs/6791/1279296>
**For details, see the official integration documentation**

## Request Parameters

### Query Parameters

```text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
object
Example
{
"req_key"
:
"t2i_xl_sft"
,
"prompt"
:
  // provider-specific example normalized for English documentation
,
"seed"
:
-1
,
"width"
:
1080
,
"height"
:
1080
,
"scale"
:
7
,
"ddim_steps"
:
20
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
true
,
"position"
:
2
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"This is a visible watermark"
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "t2i_xl_sft",
    "prompt": "Example prompt from provider documentation.",
    "seed": -1,
    "width": 1080,
    "height": 1080,
    "scale": 7,
    "ddim_steps": 20,
    "return_url": true,
    "logo_info": {
        "add_logo": true,
        "position": 2,
        "language": 0,
        "opacity": 0.3,
        "logo_text_content": "This is a visible watermark"
    }
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [],
        "comfyui_cost": 4,
  // provider-specific example normalized for English documentation
        "ddim_steps": 20,
        "height": 1080,
        "image_urls": [
            "https://xxx"
        ],
        "logo_info": {
            "add_logo": true,
            "language": 0,
            "opacity": 1,
            "position": 2
        },
        "prompt": "A little girl.",
        "request_id": "dea044aa84a71449ec93580e29e41d33ebc028cbbf5717fa70318ef2a047cfc6",
        "return_url": true,
        "scale": 7,
        "seed": -1,
        "width": 1080
    },
    "message": "Success",
    "request_id": "2024080914280691301FD211D72A02FA4F",
    "status": 10000,
    "time_elapsed": "5.507397584s"
}
```
